Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface OrderSpecs

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface OrderSpecs

extends org.eclipse.emf.cdo.CDOObject

A representation of the model object 'Order Specs'. Specifiche di ordinamento da applicare ai risultati di una query

The following features are supported:

- `Specs`

See Also:
  `DatagenPackage.getOrderSpecs()`

Method Summary
`org.eclipse.emf.common.util.EList<OrderSpec>` | `getSpecs()` Returns the value of the 'Specs' containment reference list.

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSpecs

    org.eclipse.emf.common.util.EList<OrderSpec> getSpecs()

  Returns the value of the 'Specs' containment reference list. The list contents are of type `OrderSpec`.

  If the meaning of the 'Specs' containment reference list isn't clear, there really should be more of a description here...

  Contiene l'elenco delle specifiche di ordinamento. L'ordinamento dei risultati è ottenuto applicando le specifiche relative alle singole colonne nell'ordine in cui sono inserite in questo elenco.

  Returns:
    the value of the 'Specs' containment reference list.
  See Also:
    `DatagenPackage.getOrderSpecs_Specs()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD